com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface ColumnMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ColumnMetadata
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Column Metadata'.

  The following features are supported:

  - `Column Name`
  - `Jdbc Data Type`
  - `Sql Data Type`
  - `Column Size`
  - `Decimal Digits`
  See Also:
    `DatabasePackage.getColumnMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnName()` Returns the value of the 'Column Name' attribute
    `int` | `getColumnSize()` Returns the value of the 'Column Size' attribute
    `int` | `getDecimalDigits()` Returns the value of the 'Decimal Digits' attribute
    `java.lang.String` | `getJdbcDataType()` Returns the value of the 'Jdbc Data Type' attribute
    `java.lang.String` | `getSqlDataType()` Returns the value of the 'Sql Data Type' attribute
    `void` | `setColumnName(java.lang.String value)` Sets the value of the '`Column Name`' attribute
    `void` | `setColumnSize(int value)` Sets the value of the '`Column Size`' attribute
    `void` | `setDecimalDigits(int value)` Sets the value of the '`Decimal Digits`' attribute
    `void` | `setJdbcDataType(java.lang.String value)` Sets the value of the '`Jdbc Data Type`' attribute
    `void` | `setSqlDataType(java.lang.String value)` Sets the value of the '`Sql Data Type`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getColumnName

          java.lang.String getColumnName()

      Returns the value of the 'Column Name' attribute.

      If the meaning of the 'Column Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Name' attribute.
      See Also:
        `setColumnName(String)`, `DatabasePackage.getColumnMetadata_ColumnName()`

    - #### setColumnName

          void setColumnName(java.lang.String value)

      Sets the value of the '`Column Name`' attribute.
      Parameters:
        `value` - the new value of the 'Column Name' attribute.
      See Also:
        `getColumnName()`

    - #### getJdbcDataType

          java.lang.String getJdbcDataType()

      Returns the value of the 'Jdbc Data Type' attribute.

      If the meaning of the 'Jdbc Data Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Jdbc Data Type' attribute.
      See Also:
        `setJdbcDataType(String)`, `DatabasePackage.getColumnMetadata_JdbcDataType()`

    - #### setJdbcDataType

          void setJdbcDataType(java.lang.String value)

      Sets the value of the '`Jdbc Data Type`' attribute.
      Parameters:
        `value` - the new value of the 'Jdbc Data Type' attribute.
      See Also:
        `getJdbcDataType()`

    - #### getSqlDataType

          java.lang.String getSqlDataType()

      Returns the value of the 'Sql Data Type' attribute.

      If the meaning of the 'Sql Data Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sql Data Type' attribute.
      See Also:
        `setSqlDataType(String)`, `DatabasePackage.getColumnMetadata_SqlDataType()`

    - #### setSqlDataType

          void setSqlDataType(java.lang.String value)

      Sets the value of the '`Sql Data Type`' attribute.
      Parameters:
        `value` - the new value of the 'Sql Data Type' attribute.
      See Also:
        `getSqlDataType()`

    - #### getColumnSize

          int getColumnSize()

      Returns the value of the 'Column Size' attribute.

      If the meaning of the 'Column Size' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Size' attribute.
      See Also:
        `setColumnSize(int)`, `DatabasePackage.getColumnMetadata_ColumnSize()`

    - #### setColumnSize

          void setColumnSize(int value)

      Sets the value of the '`Column Size`' attribute.
      Parameters:
        `value` - the new value of the 'Column Size' attribute.
      See Also:
        `getColumnSize()`

    - #### getDecimalDigits

          int getDecimalDigits()

      Returns the value of the 'Decimal Digits' attribute.

      If the meaning of the 'Decimal Digits' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Decimal Digits' attribute.
      See Also:
        `setDecimalDigits(int)`, `DatabasePackage.getColumnMetadata_DecimalDigits()`

    - #### setDecimalDigits

          void setDecimalDigits(int value)

      Sets the value of the '`Decimal Digits`' attribute.
      Parameters:
        `value` - the new value of the 'Decimal Digits' attribute.
      See Also:
        `getDecimalDigits()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.